EaserixDocs
DevelopersAPI referenceSignNotary

Claim an open request

Guarded transition — two notaries racing get one winner (409 for the loser). Requires an active profile in the request's state.

View as Markdown
POST
/v1/notary/requests/{id}/claim
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/notary/requests/string/claim"
{  "request": {    "id": "string",    "documentId": "string",    "state": "string",    "stateName": "string",    "status": "string",    "docType": "string",    "signerCity": "string",    "timingNote": "string",    "scheduledAt": "2019-08-24T14:15:22Z",    "sessionNote": "string",    "completedAt": "2019-08-24T14:15:22Z",    "created": "2019-08-24T14:15:22Z",    "notary": {      "slug": "string",      "fullName": "string",      "commissionNumber": "string",      "state": "string"    }  }}